---------------------------------------------------------------------------------
-- Categories
---------------------------------------------------------------------------------


---------------------------------------------------------------------------------
-- Categories
---------------------------------------------------------------------------------

-- Reserved range of Categories for Navision integration
-- 50000-59999  Navision Integration (10000)
-- 50000-50099	free
-- 50100-50199	Navision Reuse Band
-- 50200-50499	Intranet Translation Task Type (Activity Group + Activities)
-- 50500-50599  Navision General Posting Group
-- 50600-50699  Navision VAT Posting Group
-- 50700-50799  Navision Customer Posting Group
-- 50800-50899  Navision Vendor Posting Group
-- 50900-50999  Navision Payment Method Code
-- 51000-51499	Task Types based on Activity Codes (?)
-- 60000-60099  ----


-- Delete the old "Navision Activity" Category type
delete from im_category_hierarchy where child_id in (select category_id from im_categories where category_type = 'Navision Activity');
delete from im_category_hierarchy where parent_id in (select category_id from im_categories where category_type = 'Navision Activity');
delete from im_categories where category_type = 'Navision Activity';


---------------------------------------------------------------------------------
-- Currencies
---------------------------------------------------------------------------------


insert into currency_codes VALUES ('ARS','Argentine Peso','t',NULL,100);



---------------------------------------------------------------------------------
-- Country Codes
---------------------------------------------------------------------------------


insert into country_codes VALUES ('am', 'Armenia');
insert into country_codes VALUES ('bd', 'Bangladesh');
insert into country_codes VALUES ('cm', 'Cameroon');
insert into country_codes VALUES ('cs', 'Serbia and Montenegro');
insert into country_codes VALUES ('gb', 'Great Britain');
insert into country_codes VALUES ('ke', 'Kenya');
insert into country_codes VALUES ('hk', 'Hong Kong');
insert into country_codes VALUES ('kz', 'Kazakhstan');
insert into country_codes VALUES ('kh', 'Cambodia');
insert into country_codes VALUES ('me', 'Montenegro');
insert into country_codes VALUES ('pa', 'Panama');
insert into country_codes VALUES ('rs', 'Serbia');
insert into country_codes VALUES ('sc', 'Seychelly');
insert into country_codes VALUES ('sp', 'Somalia');
insert into country_codes VALUES ('th', 'Thailand');
insert into country_codes VALUES ('uz', 'Uzbekistan');
insert into country_codes VALUES ('vn', 'Vietnam');


---------------------------------------------------------------------------------
-- Subject Areas
---------------------------------------------------------------------------------

update im_categories set category = 'AUT', category_description = 'Automotive' where category_id = 555;
update im_categories set category = 'MED', category_description = 'Medical' where category_id = 545;
update im_categories set category = 'TEL', category_description = 'Telecom' where category_id = 560;
update im_categories set category = 'LEG', category_description = 'Legal' where category_id = 525;
update im_categories set category = 'FIN', category_description = 'Finance' where category_id = 515;
update im_categories set category = 'PRS', category_description = 'Press Releases and Articles' where category_id = 540;
update im_categories set category = 'IT', category_description = 'IT' where category_id = 535;
update im_categories set category = 'MAR', category_description = 'Marcom' where category_id = 510;
update im_categories set category = 'MRC', category_description = 'Creative Marcom' where category_id = 520;
update im_categories set category = 'MRT', category_description = 'Technical Marcom' where category_id = 500;
update im_categories set category = 'MSD', category_description = 'MS.Com specivid' where category_id = 505;
update im_categories set category = 'M1R', category_description = 'M1R' where category_id = 550;
update im_categories set category = '13', category_description = '13' where category_id = 570;

update im_categories set enabled_p = 'f' where category_id in (530, 565);
update im_categories set enabled_p = 't' where category_id in (550, 570);



SELECT im_category_new(50100,'100%','Navision Reuse Band');
SELECT im_category_new(50110,'80%','Navision Reuse Band');
SELECT im_category_new(50115,'66%','Navision Reuse Band');
SELECT im_category_new(50120,'60%','Navision Reuse Band');
SELECT im_category_new(50125,'50%','Navision Reuse Band');
SELECT im_category_new(50130,'40%','Navision Reuse Band');
SELECT im_category_new(50135,'33%','Navision Reuse Band');
SELECT im_category_new(50140,'30%','Navision Reuse Band');
SELECT im_category_new(50150,'25%','Navision Reuse Band');
SELECT im_category_new(50155,'22%','Navision Reuse Band');
SELECT im_category_new(50160,'20%','Navision Reuse Band');
SELECT im_category_new(50170,'10%','Navision Reuse Band');
SELECT im_category_new(50180,'5%','Navision Reuse Band');

update im_categories set aux_string2=100 where category_id = 50100;
update im_categories set aux_string2=80 where category_id = 50110;
update im_categories set aux_string2=66 where category_id = 50115;
update im_categories set aux_string2=60 where category_id = 50120;
update im_categories set aux_string2=50 where category_id = 50125;
update im_categories set aux_string2=40 where category_id = 50130;
update im_categories set aux_string2=33 where category_id = 50135;
update im_categories set aux_string2=30 where category_id = 50140;
update im_categories set aux_string2=25 where category_id = 50150;
update im_categories set aux_string2=22 where category_id = 50155;
update im_categories set aux_string2=20 where category_id = 50160;
update im_categories set aux_string2=10 where category_id = 50170;
update im_categories set aux_string2=5 where category_id = 50180;




-- Conver project types into translation task types.
--
update im_categories 
	set category_type = 'Intranet Translation Task Type' 
where 
	category_type = 'Intranet Project Type' and 
	category_id in (87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 2503);


-- Project Types "Archieved" and "Blocked"
SELECT im_category_new (nextval('im_categories_seq')::integer,'Archived','Intranet Project Status');
SELECT im_category_hierarchy_new (
	(select category_id from im_categories where category = 'Archived' and category_type = 'Intranet Project Status'), 
	81
);

SELECT im_category_new (nextval('im_categories_seq')::integer,'Blocked','Intranet Project Status');
SELECT im_category_hierarchy_new (
	(select category_id from im_categories where category = 'Blocked' and category_type = 'Intranet Project Status'), 
	81
);





---------------------------------------------------------------------------------
-- Navision UoM
---------------------------------------------------------------------------------

SELECT im_category_new (nextval('im_categories_seq')::integer,'Percentage','Intranet UoM');
SELECT im_category_new (nextval('im_categories_seq')::integer,'Character','Intranet UoM');
SELECT im_category_new (nextval('im_categories_seq')::integer,'Screen','Intranet UoM');
SELECT im_category_new (nextval('im_categories_seq')::integer,'New Word','Intranet UoM');
SELECT im_category_new (nextval('im_categories_seq')::integer,'License','Intranet UoM');
SELECT im_category_new (nextval('im_categories_seq')::integer,'Other','Intranet UoM');


update im_categories set aux_string2 = 'HOUR' where category = 'Hour' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'DAY' where category = 'Day' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'PIECE' where category = 'Unit' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'PAGE' where category = 'Page' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'WORD' where category = 'S-Word' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = '%' where category = 'Percentage' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'CHARACTER' where category = 'Character' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'SCREEN' where category = 'Screen' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'OTHER' where category = 'Other' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'NEW WORD' where category = 'New Word' and category_type = 'Intranet UoM';
update im_categories set aux_string2 = 'LICENSE' where category = 'License' and category_type = 'Intranet UoM';




---------------------------------------------------------------------------------
-- Navision Translation Languages
---------------------------------------------------------------------------------

SELECT im_category_new (nextval('im_categories_seq')::integer,lower('AA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('AF'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('AM'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('AR'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('AS'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('AZ'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('BE'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('BER'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('BG'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('BH'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('BN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('BS'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('CA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('CS'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('CY'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('DE_AT'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('EN_ID'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('EN_NZ'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('EN_ZA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ES_UN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ES_ME'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ET'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('FA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('FI'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('FIL'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('FL'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('FR_CA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('GA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('GD'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('GLI'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('GU'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('HA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('HE'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('HI'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('HR'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('HU'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('HY'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ID'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('IG'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('IS'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('IT_CH'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('IU'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('JV'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KK'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KM'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KOK'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KU'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('KY'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('LB'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('LO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('LT'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('LV'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MI'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MK'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ML'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MR'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MS'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MS_BN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MT'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('MY'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('NE'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('NN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('NO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('NS'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('NSO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('OR'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('PA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('PL'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('PS'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('QU'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('RM'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('RO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('RW'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SI'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SK'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SL'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SQ'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SR'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ST'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SU'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SV'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('SW'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TE'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TG'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TH'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TI'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TK'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TL'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TR'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('TT'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('UK'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('UR'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('UZ'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('VA'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('VN'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('WO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('XH'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('YO'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ZH'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ZH_HK'),'Intranet Translation Language');
SELECT im_category_new (nextval('im_categories_seq')::integer,lower('ZU'),'Intranet Translation Language');


-- Recreate the original NAV languages in aux_string2
update im_categories
set aux_string2 = upper(substring(category from '^..'))
where	category ~ '^..$' and
	category_type = 'Intranet Translation Language'
;

-- Recreate the original NAV languages in aux_string2
-- 4 digit languages - add the additional part for 4 digit languages
update im_categories
set aux_string2 = aux_string2 || ' ' || upper(substring(category from '...(..)'))
where	category ~ '^.._..$' and
	category_type = 'Intranet Translation Language'
;





-- Create the "Activty Group" main categories
SELECT im_category_new(50200,'DEV','Intranet Translation Task Type','IT_DEV - IT development');
SELECT im_category_new(50202,'DOC','Intranet Translation Task Type','DOC - Documentation localization');
SELECT im_category_new(50204,'DTP','Intranet Translation Task Type','DTP');
SELECT im_category_new(50206,'GRF','Intranet Translation Task Type','GRF - graphics');
SELECT im_category_new(50208,'ITOPS','Intranet Translation Task Type','IT Operations');
SELECT im_category_new(50210,'LEN','Intranet Translation Task Type','LOC_ENG - localization engineering');
SELECT im_category_new(50212,'LING','Intranet Translation Task Type','LING - linguistic tasks');
SELECT im_category_new(50214,'MM','Intranet Translation Task Type','Multimedia');
SELECT im_category_new(50216,'MTR','Intranet Translation Task Type','MTR - machine translation');
SELECT im_category_new(50218,'OTHER','Intranet Translation Task Type','Other');
SELECT im_category_new(50220,'PM','Intranet Translation Task Type','PM - project management');
SELECT im_category_new(50222,'TDE','Intranet Translation Task Type','MTE_TDE - Test development engineering');
SELECT im_category_new(50224,'TEN','Intranet Translation Task Type','MTE_ENG - MTE Sw engineering');
SELECT im_category_new(50226,'TUA','Intranet Translation Task Type','TST_UA - Help testing');
SELECT im_category_new(50228,'TUI','Intranet Translation Task Type','TST_UI - Sw testing');
SELECT im_category_new(50230,'UA','Intranet Translation Task Type','UA - Help localization');
SELECT im_category_new(50232,'UI','Intranet Translation Task Type','UI - Sw localization');



-- Create the "Sub-Activity" below "Activity Group"
SELECT im_category_new(50301,'DEV-ACT','Intranet Translation Task Type','Czech Telecom Address Book (Adresar Ceskeho Telecomu)');
SELECT im_category_new(50302,'DEV-CIP','Intranet Translation Task Type','Caller Id service for IP telephony (CLIP pro IP telefonii)');
SELECT im_category_new(50303,'DEV-DEV','Intranet Translation Task Type','Development');
SELECT im_category_new(50304,'DEV-MSIP','Intranet Translation Task Type','Messaging for IP Telephony(Messaging pro IP telefonii)');
SELECT im_category_new(50305,'DEV-PHBK','Intranet Translation Task Type','Company phone directory (Firemni tel. seznam)');
SELECT im_category_new(50306,'DEV-SA','Intranet Translation Task Type','Service fee (Servisni poplatek)');
SELECT im_category_new(50307,'DEV-SUP','Intranet Translation Task Type','Support and Maintenance');
SELECT im_category_new(50308,'DOC-FP','Intranet Translation Task Type','Fast proof');
SELECT im_category_new(50309,'DOC-LP','Intranet Translation Task Type','Large proof');
SELECT im_category_new(50310,'DOC-SPCH','Intranet Translation Task Type','Spotcheck');
SELECT im_category_new(50311,'DOC-TR','Intranet Translation Task Type','Translation');
SELECT im_category_new(50312,'DOC-TRCH','Intranet Translation Task Type','Translation (with native check)');
SELECT im_category_new(50313,'DOC-TRP','Intranet Translation Task Type','Translation (Piece)');
SELECT im_category_new(50314,'DTP-5BP','Intranet Translation Task Type','5th Black Plate');
SELECT im_category_new(50315,'DTP-DS','Intranet Translation Task Type','DocSys tool');
SELECT im_category_new(50316,'DTP-DTPPS','Intranet Translation Task Type','DTP (including PS)');
SELECT im_category_new(50317,'DTP-DY','Intranet Translation Task Type','Daily');
SELECT im_category_new(50318,'DTP-FDTP','Intranet Translation Task Type','Fast DTP');
SELECT im_category_new(50319,'DTP-FM','Intranet Translation Task Type','FrameMaker');
SELECT im_category_new(50320,'DTP-FMP','Intranet Translation Task Type','FrameMaker (including PS)');
SELECT im_category_new(50321,'DTP-HR','Intranet Translation Task Type','Hourly');
SELECT im_category_new(50322,'DTP-HRF','Intranet Translation Task Type','Hourly (Flash)');
SELECT im_category_new(50323,'DTP-HRTHS','Intranet Translation Task Type','Hourly (TSH special)');
SELECT im_category_new(50324,'DTP-ID','Intranet Translation Task Type','InDesign');
SELECT im_category_new(50325,'DTP-IDP','Intranet Translation Task Type','InDesign (including PS)');
SELECT im_category_new(50326,'DTP-ILL','Intranet Translation Task Type','Illustrator');
SELECT im_category_new(50327,'DTP-ILLP','Intranet Translation Task Type','Illustrator (including PS)');
SELECT im_category_new(50328,'DTP-MSW','Intranet Translation Task Type','MS Word');
SELECT im_category_new(50329,'DTP-MSWP','Intranet Translation Task Type','MS Word (including PS)');
SELECT im_category_new(50330,'DTP-PIECE','Intranet Translation Task Type','Per Piece');
SELECT im_category_new(50331,'DTP-PM','Intranet Translation Task Type','PageMaker');
SELECT im_category_new(50332,'DTP-PMP','Intranet Translation Task Type','PageMaker (including PS)');
SELECT im_category_new(50333,'DTP-PPT','Intranet Translation Task Type','Powepoint');
SELECT im_category_new(50334,'DTP-PPTP','Intranet Translation Task Type','Powepoint (including PS)');
SELECT im_category_new(50335,'DTP-PS','Intranet Translation Task Type','PDF / Postscripting');
SELECT im_category_new(50336,'DTP-QA2IL','Intranet Translation Task Type','QuarkXpress to AdobeIlustrator');
SELECT im_category_new(50337,'DTP-QS','Intranet Translation Task Type','Quicksilver (Interleaf)');
SELECT im_category_new(50338,'DTP-QSP','Intranet Translation Task Type','Quicksilver (Interleaf) (including PS)');
SELECT im_category_new(50339,'DTP-QX','Intranet Translation Task Type','Quark');
SELECT im_category_new(50340,'DTP-QXP','Intranet Translation Task Type','Quark (including PS)');
SELECT im_category_new(50341,'DTP-TUT','Intranet Translation Task Type','Tutor (Oracle tool)');
SELECT im_category_new(50342,'GRF-ACH','Intranet Translation Task Type','Art Capture  (per hour)');
SELECT im_category_new(50343,'GRF-ACS','Intranet Translation Task Type','Art Capture  (per screen)');
SELECT im_category_new(50344,'GRF-AMK','Intranet Translation Task Type','Art Make-up');
SELECT im_category_new(50345,'GRF-HR','Intranet Translation Task Type','Hourly');
SELECT im_category_new(50346,'GRF-SCR','Intranet Translation Task Type','Screenshoting');
SELECT im_category_new(50347,'LEN-OFB','Intranet Translation Task Type','LocEng (offsite)');
SELECT im_category_new(50348,'LEN-OFN','Intranet Translation Task Type','LocEng (offsite) Nanjing');
SELECT im_category_new(50349,'LEN-OFR','Intranet Translation Task Type','LocEng (offiste) Rosario');
SELECT im_category_new(50350,'LING-ADT','Intranet Translation Task Type','Adaptation');
SELECT im_category_new(50351,'LING-GLS','Intranet Translation Task Type','Glossary');
SELECT im_category_new(50352,'LING-GNRL','Intranet Translation Task Type','General');
SELECT im_category_new(50353,'LING-ICR','Intranet Translation Task Type','In-country review');
SELECT im_category_new(50354,'LING-MINF','Intranet Translation Task Type','Minimum fee');
SELECT im_category_new(50355,'LING-PSP','Intranet Translation Task Type','Process Specification');
SELECT im_category_new(50356,'LING-TMM','Intranet Translation Task Type','TM management');
SELECT im_category_new(50357,'MM-AVR','Intranet Translation Task Type','A/V Recording');
SELECT im_category_new(50358,'MM-VCR','Intranet Translation Task Type','Voice recording');
SELECT im_category_new(50359,'MTR-AU','Intranet Translation Task Type','Authentication');
SELECT im_category_new(50360,'MTR-CM','Intranet Translation Task Type','Comparision');
SELECT im_category_new(50361,'MTR-CO','Intranet Translation Task Type','Consultancy');
SELECT im_category_new(50362,'MTR-IN','Intranet Translation Task Type','Interpreting');
SELECT im_category_new(50363,'MTR-PE','Intranet Translation Task Type','Postediting');
SELECT im_category_new(50364,'MTR-PO','Intranet Translation Task Type','Postate');
SELECT im_category_new(50365,'MTR-PR','Intranet Translation Task Type','Proofreading');
SELECT im_category_new(50366,'MTR-RO','Intranet Translation Task Type','Rounding');
SELECT im_category_new(50367,'MTR-SR','Intranet Translation Task Type','Surcharge');
SELECT im_category_new(50368,'MTR-TN','Intranet Translation Task Type','Transcription');
SELECT im_category_new(50369,'MTR-TR','Intranet Translation Task Type','Translation');
SELECT im_category_new(50370,'PM-HR','Intranet Translation Task Type','Hourly');
SELECT im_category_new(50371,'PM-LRM','Intranet Translation Task Type','LingReview Mgmt');
SELECT im_category_new(50372,'PM-PRC','Intranet Translation Task Type','%');
SELECT im_category_new(50373,'TDE-TDOF','Intranet Translation Task Type','TestDevelopment (offsite)');
SELECT im_category_new(50374,'TDE-TDOFN','Intranet Translation Task Type','TestDevelopment (offsite) Nanjing');
SELECT im_category_new(50375,'TDE-TDON','Intranet Translation Task Type','TestDevelopment (onsite)');
SELECT im_category_new(50376,'TEN-TEOF','Intranet Translation Task Type','Engineering (offsite)');
SELECT im_category_new(50377,'TEN-TEOFN','Intranet Translation Task Type','Engineering (offsite) Nanjing');
SELECT im_category_new(50378,'TEN-TEOFW','Intranet Translation Task Type','Engineering (offsite) - weekend');
SELECT im_category_new(50379,'TEN-TEON','Intranet Translation Task Type','Engineering (onsite)');
SELECT im_category_new(50380,'TEN-TEONW','Intranet Translation Task Type','Engineering (onsite) - weekend');
SELECT im_category_new(50381,'TEN-TSAD','Intranet Translation Task Type','Test Admin');
SELECT im_category_new(50382,'TEN-TSCC','Intranet Translation Task Type','Test Cases creation');
SELECT im_category_new(50383,'TEN-TSPC','Intranet Translation Task Type','Test Plan creation');
SELECT im_category_new(50384,'TUA-TOF','Intranet Translation Task Type','Testing (offsite)');
SELECT im_category_new(50385,'TUA-TOFN','Intranet Translation Task Type','Testing (offsite) Nanjing');
SELECT im_category_new(50386,'TUA-TOFR','Intranet Translation Task Type','Testing (offsite) Rosario');
SELECT im_category_new(50387,'TUI-TOF','Intranet Translation Task Type','Testing (offsite)');
SELECT im_category_new(50388,'TUI-TOFN','Intranet Translation Task Type','Testing (offsite) Nanjing');
SELECT im_category_new(50389,'TUI-TOFR','Intranet Translation Task Type','Testing (offsite) Rosario');
SELECT im_category_new(50390,'TUI-TON','Intranet Translation Task Type','Testing (onsite)');
SELECT im_category_new(50391,'TUI-TONN','Intranet Translation Task Type','Testing (onsite) Nanjing');
SELECT im_category_new(50392,'UA-FP','Intranet Translation Task Type','Fast proof');
SELECT im_category_new(50393,'UA-LP','Intranet Translation Task Type','Large proof');
SELECT im_category_new(50394,'UA-MTP','Intranet Translation Task Type','MT postediting');
SELECT im_category_new(50395,'UA-PRF','Intranet Translation Task Type','Proofreading');
SELECT im_category_new(50396,'UA-PTR','Intranet Translation Task Type','PostTransReview');
SELECT im_category_new(50397,'UA-SPCH','Intranet Translation Task Type','Spotcheck');
SELECT im_category_new(50398,'UA-TR','Intranet Translation Task Type','Translation');
SELECT im_category_new(50399,'UA-TRP','Intranet Translation Task Type','Translation (Piece)');
SELECT im_category_new(50400,'UI-MTP','Intranet Translation Task Type','MT postediting');
SELECT im_category_new(50401,'UI-TR','Intranet Translation Task Type','Translation');
SELECT im_category_new(50402,'OTHER-TRAV','Intranet Translation Task Type','Travel');
SELECT im_category_new(50403,'OTHER-ADUA','Intranet Translation Task Type','ATD_UA_60_30_25');
SELECT im_category_new(50404,'OTHER-ADUI','Intranet Translation Task Type','ATD_SW_50_35');
SELECT im_category_new(50405,'OTHER-BAS','Intranet Translation Task Type','Basic rates');
SELECT im_category_new(50406,'OTHER-CSC','Intranet Translation Task Type','Cisco_80_60_40_25');
SELECT im_category_new(50407,'OTHER-GEN','Intranet Translation Task Type','Generic_60_30_5');
SELECT im_category_new(50408,'OTHER-M01','Intranet Translation Task Type','M_40');
SELECT im_category_new(50409,'OTHER-M02','Intranet Translation Task Type','M_50');
SELECT im_category_new(50410,'OTHER-M03','Intranet Translation Task Type','M_60_30');
SELECT im_category_new(50411,'OTHER-M04','Intranet Translation Task Type','M_60_30_40');
SELECT im_category_new(50412,'OTHER-M05','Intranet Translation Task Type','M_60_40_22');
SELECT im_category_new(50413,'OTHER-M06','Intranet Translation Task Type','M_66_33');
SELECT im_category_new(50414,'OTHER-M07','Intranet Translation Task Type','M_66_40_33');
SELECT im_category_new(50415,'OTHER-MSH','Intranet Translation Task Type','MS Helium_50_40_25');
SELECT im_category_new(50416,'OTHER-MST','Intranet Translation Task Type','MS Trados_66_33_30');
SELECT im_category_new(50417,'OTHER-MT01','Intranet Translation Task Type','MS_MT_70');
SELECT im_category_new(50418,'OTHER-MT02','Intranet Translation Task Type','EMC_MT_85');
SELECT im_category_new(50419,'OTHER-NVL','Intranet Translation Task Type','Novel (50,25,10)');
SELECT im_category_new(50420,'OTHER-OAPP','Intranet Translation Task Type','Oracle APP_60_30_10');
SELECT im_category_new(50421,'OTHER-ODT','Intranet Translation Task Type','Oracle ODT_60_30_10');
SELECT im_category_new(50422,'OTHER-OILT','Intranet Translation Task Type','Oracle ILT_60_30_10');
SELECT im_category_new(50423,'OTHER-OMST','Intranet Translation Task Type','Oracle MST_60_30_10H');


-- Setup the hierarchy of Sub-Activities below the Activity Groups
SELECT im_category_hierarchy_new('DEV-ACT','DEV','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DEV-CIP','DEV','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DEV-DEV','DEV','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DEV-MSIP','DEV','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DEV-PHBK','DEV','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DEV-SA','DEV','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DEV-SUP','DEV','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DOC-FP','DOC','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DOC-LP','DOC','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DOC-SPCH','DOC','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DOC-TR','DOC','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DOC-TRCH','DOC','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DOC-TRP','DOC','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-5BP','DOC','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-DS','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-DTPPS','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-DY','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-FDTP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-FM','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-FMP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-HR','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-HRF','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-HRTHS','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-ID','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-IDP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-ILL','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-ILLP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-MSW','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-MSWP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-PIECE','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-PM','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-PMP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-PPT','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-PPTP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-PS','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-QA2IL','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-QS','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-QSP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-QX','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-QXP','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('DTP-TUT','DTP','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('GRF-ACH','GRF','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('GRF-ACS','GRF','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('GRF-AMK','GRF','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('GRF-HR','GRF','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('GRF-SCR','GRF','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LEN-OFB','LEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LEN-OFN','LEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LEN-OFR','LEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LING-ADT','LING','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LING-GLS','LING','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LING-GNRL','LING','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LING-ICR','LING','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LING-MINF','LING','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LING-PSP','LING','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('LING-TMM','LING','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MM-AVR','MM','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MM-VCR','MM','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-AU','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-CM','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-CO','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-IN','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-PE','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-PO','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-PR','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-RO','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-SR','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-TN','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('MTR-TR','MTR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('PM-HR','PM','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('PM-LRM','PM','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('PM-PRC','PM','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TDE-TDOF','TDE','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TDE-TDOFN','TDE','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TDE-TDON','TDE','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TEOF','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TEOFN','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TEOFW','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TEON','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TEONW','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TSAD','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TSCC','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TEN-TSPC','TEN','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUA-TOF','TUA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUA-TOFN','TUA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUA-TOFR','TUA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUI-TOF','TUI','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUI-TOFN','TUI','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUI-TOFR','TUI','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUI-TON','TUI','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('TUI-TONN','TUI','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-FP','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-LP','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-MTP','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-PRF','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-PTR','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-SPCH','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-TR','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UA-TRP','UA','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UI-MTP','UI','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('UI-TR','UI','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-TRAV','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-ADUA','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-ADUI','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-BAS','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-CSC','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-GEN','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-M01','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-M02','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-M03','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-M04','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-M05','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-M06','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-M07','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-MSH','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-MST','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-MT01','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-MT02','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-NVL','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-OAPP','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-ODT','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-OILT','OTHER','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('OTHER-OMST','OTHER','Intranet Translation Task Type');


-- More the old static workflow types below "DOC-TR"
SELECT im_category_hierarchy_new('Trans + Edit','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Edit Only','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Trans + Edit + Proof','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Linguistic Validation','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Localization','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Technology','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Trans Only','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Trans + Int. Spotcheck','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Proof Only','DOC-TR','Intranet Translation Task Type');
SELECT im_category_hierarchy_new('Glossary Compilation','DOC-TR','Intranet Translation Task Type');


-- Define that all of the translation tasks are associated with a "trans only" workflow
update im_categories
set aux_string1 = 'trans'
where	aux_string1 is null and
	category_type = 'Intranet Translation Task Type' and
	category_id >= 50200 and
	category_id <= 50499;






--------------------------------------------------------------------------------
--             Navision General Posting Group                                 --
--------------------------------------------------------------------------------

SELECT im_category_new(50500,'CN','Navision General Posting Group');
SELECT im_category_new(50501,'CUSTOMER','Navision General Posting Group');
SELECT im_category_new(50502,'CZ','Navision General Posting Group');
SELECT im_category_new(50503,'FREELANCER','Navision General Posting Group');
SELECT im_category_new(50504,'HU','Navision General Posting Group');
SELECT im_category_new(50505,'MIT_HU','Navision General Posting Group');
SELECT im_category_new(50506,'MIT_US','Navision General Posting Group');
SELECT im_category_new(50507,'MIT_CN_WOF','Navision General Posting Group');
SELECT im_category_new(50508,'MIT_SK','Navision General Posting Group');
SELECT im_category_new(50509,'QAREVIEWER','Navision General Posting Group');
SELECT im_category_new(50510,'SK','Navision General Posting Group');
SELECT im_category_new(50511,'SUPP_OTHER','Navision General Posting Group');
SELECT im_category_new(50512,'US','Navision General Posting Group');
SELECT im_category_new(50513,'VENDOR','Navision General Posting Group');

update im_categories set aux_string2='CN' where category_id = 50500;
update im_categories set aux_string2='CUSTOMER' where category_id = 50501;
update im_categories set aux_string2='CZ' where category_id = 50502;
update im_categories set aux_string2='FREELANCER' where category_id = 50503;
update im_categories set aux_string2='HU' where category_id = 50504;
update im_categories set aux_string2='MIT_HU' where category_id = 50505;
update im_categories set aux_string2='MIT_US' where category_id = 50506;
update im_categories set aux_string2='MIT_CN_WOF' where category_id = 50507;
update im_categories set aux_string2='MIT_SK' where category_id = 50508;
update im_categories set aux_string2='QAREVIEWER' where category_id = 50509;
update im_categories set aux_string2='SK' where category_id = 50510;
update im_categories set aux_string2='SUPP_OTHER' where category_id = 50511;
update im_categories set aux_string2='US' where category_id = 50512;
update im_categories set aux_string2='VENDOR' where category_id = 50513;

update im_categories set category_description='Suppliers, customers - MIT CN' where category_id = 50500;
update im_categories set category_description='Customer' where category_id = 50501;
update im_categories set category_description='Suppliers, customers - CZ' where category_id = 50502;
update im_categories set category_description='Localization - freelancers' where category_id = 50503;
update im_categories set category_description='Suppliers, customers - MIT HU only' where category_id = 50504;
update im_categories set category_description='MIT HU only' where category_id = 50505;
update im_categories set category_description='MIT US only' where category_id = 50506;
update im_categories set category_description='MIT CN WOFE only' where category_id = 50507;
update im_categories set category_description='MIT SK only' where category_id = 50508;
update im_categories set category_description='Localization - reviewers' where category_id = 50509;
update im_categories set category_description='Suppliers, customers - MIT SK only' where category_id = 50510;
update im_categories set category_description='Suppliers foreign - other' where category_id = 50511;
update im_categories set category_description='Suppliers, customers - MIT US only' where category_id = 50512;
update im_categories set category_description='Localization - vendors' where category_id = 50513;

--------------------------------------------------------------------------------
--             Navision VAT Posting Group                                     --
--------------------------------------------------------------------------------

SELECT im_category_new(50600,'CELNICE','Navision VAT Posting Group');
SELECT im_category_new(50601,'EU_NEREG','Navision VAT Posting Group');
SELECT im_category_new(50602,'EU_REG','Navision VAT Posting Group');
SELECT im_category_new(50603,'TUZEMSKO','Navision VAT Posting Group');
SELECT im_category_new(50604,'ZAHRANICI','Navision VAT Posting Group');

update im_categories set category_description='customs' where category_id = 50600;
update im_categories set category_description='subject non registered for VAT in EU-mostly EU sub' where category_id = 50601;
update im_categories set category_description='subj.registered for VAT in EU-need to fill VAT no.' where category_id = 50602;
update im_categories set category_description='subject with residence in CZ' where category_id = 50603;
update im_categories set category_description='subject with resindence out of CZ and out of EU' where category_id = 50604;

update im_categories set aux_string2='CELNICE' where category_id = 50600;
update im_categories set aux_string2='EU_NEREG' where category_id = 50601;
update im_categories set aux_string2='EU_REG' where category_id = 50602;
update im_categories set aux_string2='TUZEMSKO' where category_id = 50603;
update im_categories set aux_string2='ZAHRANICI' where category_id = 50604;

--------------------------------------------------------------------------------
--             Navision Customer Posting Group                                --
--------------------------------------------------------------------------------

SELECT im_category_new(50700,'EMPLOYEE','Navision Customer Posting Group');
SELECT im_category_new(50701,'FORWARD','Navision Customer Posting Group');
SELECT im_category_new(50702,'MIT_CN_JV','Navision Customer Posting Group');
SELECT im_category_new(50703,'MIT_CN_WOF','Navision Customer Posting Group');
SELECT im_category_new(50704,'MIT_CZ','Navision Customer Posting Group');
SELECT im_category_new(50705,'MIT_HU','Navision Customer Posting Group');
SELECT im_category_new(50706,'MIT_SK','Navision Customer Posting Group');
SELECT im_category_new(50707,'MIT_USA','Navision Customer Posting Group');
SELECT im_category_new(50708,'MT_CZ','Navision Customer Posting Group');
SELECT im_category_new(50709,'OTHER_CN','Navision Customer Posting Group');
SELECT im_category_new(50710,'OTHER_CZ','Navision Customer Posting Group');
SELECT im_category_new(50711,'OTHER_FOR','Navision Customer Posting Group');
SELECT im_category_new(50712,'OTHER_HU','Navision Customer Posting Group');
SELECT im_category_new(50713,'OTHER_SK','Navision Customer Posting Group');
SELECT im_category_new(50714,'OTHER_USA','Navision Customer Posting Group');
SELECT im_category_new(50715,'SMENKA CZK','Navision Customer Posting Group');
SELECT im_category_new(50716,'SMENKA EUR','Navision Customer Posting Group');
SELECT im_category_new(50717,'SMENKA USD','Navision Customer Posting Group');

update im_categories set aux_string2='EMPLOYEE' where category_id = 50700;
update im_categories set aux_string2='FORWARD' where category_id = 50701;
update im_categories set aux_string2='MIT_CN_JV' where category_id = 50702;
update im_categories set aux_string2='MIT_CN_WOF' where category_id = 50703;
update im_categories set aux_string2='MIT_CZ' where category_id = 50704;
update im_categories set aux_string2='MIT_HU' where category_id = 50705;
update im_categories set aux_string2='MIT_SK' where category_id = 50706;
update im_categories set aux_string2='MIT_USA' where category_id = 50707;
update im_categories set aux_string2='MT_CZ' where category_id = 50708;
update im_categories set aux_string2='OTHER_CN' where category_id = 50709;
update im_categories set aux_string2='OTHER_CZ' where category_id = 50710;
update im_categories set aux_string2='OTHER_FOR' where category_id = 50711;
update im_categories set aux_string2='OTHER_HU' where category_id = 50712;
update im_categories set aux_string2='OTHER_SK' where category_id = 50713;
update im_categories set aux_string2='OTHER_USA' where category_id = 50714;
update im_categories set aux_string2='SMENKA CZK' where category_id = 50715;
update im_categories set aux_string2='SMENKA EUR' where category_id = 50716;
update im_categories set aux_string2='SMENKA USD' where category_id = 50717;

update im_categories set category_description='Employees' where category_id = 50700;
update im_categories set category_description='Forwardy' where category_id = 50701;
update im_categories set category_description='CN JV' where category_id = 50702;
update im_categories set category_description='CN WOFE' where category_id = 50703;
update im_categories set category_description='IT' where category_id = 50704;
update im_categories set category_description='HU' where category_id = 50705;
update im_categories set category_description='SK' where category_id = 50706;
update im_categories set category_description='USA' where category_id = 50707;
update im_categories set category_description='Translations (CZ)' where category_id = 50708;
update im_categories set category_description='Other CN customers' where category_id = 50709;
update im_categories set category_description='Other CZ customers' where category_id = 50710;
update im_categories set category_description='Other customers' where category_id = 50711;
update im_categories set category_description='Other HU customers' where category_id = 50712;
update im_categories set category_description='Other SK customers' where category_id = 50713;
update im_categories set category_description='US customers of MIT US (valid for MIT US only)' where category_id = 50714;
update im_categories set category_description='Bill of Exchange CZK' where category_id = 50715;
update im_categories set category_description='Bill of Exchange EUR' where category_id = 50716;
update im_categories set category_description='Bill of Exchange USD' where category_id = 50717;

--------------------------------------------------------------------------------
--            Navision Vendor Posting Group                                   --
--------------------------------------------------------------------------------



SELECT im_category_new(50800,'CN_LOK','Navision Vendor Posting Group');
SELECT im_category_new(50801,'CN_OST','Navision Vendor Posting Group');
SELECT im_category_new(50802,'CZ_LOK','Navision Vendor Posting Group');
SELECT im_category_new(50803,'CZ_OST','Navision Vendor Posting Group');
SELECT im_category_new(50804,'EMPLOYEE','Navision Vendor Posting Group');
SELECT im_category_new(50805,'HU_LOK','Navision Vendor Posting Group');
SELECT im_category_new(50806,'HU_OST','Navision Vendor Posting Group');
SELECT im_category_new(50807,'MIT_CN_JV','Navision Vendor Posting Group');
SELECT im_category_new(50808,'MIT_CN_WOF','Navision Vendor Posting Group');
SELECT im_category_new(50809,'MIT_CZ','Navision Vendor Posting Group');
SELECT im_category_new(50810,'MIT_HU','Navision Vendor Posting Group');
SELECT im_category_new(50811,'MIT_SK','Navision Vendor Posting Group');
SELECT im_category_new(50812,'MIT_US','Navision Vendor Posting Group');
SELECT im_category_new(50813,'MT_CZ','Navision Vendor Posting Group');
SELECT im_category_new(50814,'SK_LOK','Navision Vendor Posting Group');
SELECT im_category_new(50815,'SK_OST','Navision Vendor Posting Group');
SELECT im_category_new(50816,'US_LOK','Navision Vendor Posting Group');
SELECT im_category_new(50817,'US_OST','Navision Vendor Posting Group');
SELECT im_category_new(50818,'ZAH_LOK','Navision Vendor Posting Group');
SELECT im_category_new(50819,'ZAH_OST','Navision Vendor Posting Group');

update im_categories set aux_string2='CN_LOK' where category_id = 50800;
update im_categories set aux_string2='CN_OST' where category_id = 50801;
update im_categories set aux_string2='CZ_LOK' where category_id = 50802;
update im_categories set aux_string2='CZ_OST' where category_id = 50803;
update im_categories set aux_string2='EMPLOYEE' where category_id = 50804;
update im_categories set aux_string2='HU_LOK' where category_id = 50805;
update im_categories set aux_string2='HU_OST' where category_id = 50806;
update im_categories set aux_string2='MIT_CN_JV' where category_id = 50807;
update im_categories set aux_string2='MIT_CN_WOF' where category_id = 50808;
update im_categories set aux_string2='MIT_CZ' where category_id = 50809;
update im_categories set aux_string2='MIT_HU' where category_id = 50810;
update im_categories set aux_string2='MIT_SK' where category_id = 50811;
update im_categories set aux_string2='MIT_US' where category_id = 50812;
update im_categories set aux_string2='MT_CZ' where category_id = 50813;
update im_categories set aux_string2='SK_LOK' where category_id = 50814;
update im_categories set aux_string2='SK_OST' where category_id = 50815;
update im_categories set aux_string2='US_LOK' where category_id = 50816;
update im_categories set aux_string2='US_OST' where category_id = 50817;
update im_categories set aux_string2='ZAH_LOK' where category_id = 50818;
update im_categories set aux_string2='ZAH_OST' where category_id = 50819;

update im_categories set category_description='Localization CN' where category_id = 50800;
update im_categories set category_description='Other CN' where category_id = 50801;
update im_categories set category_description='Localization CZ' where category_id = 50802;
update im_categories set category_description='Other CZ' where category_id = 50803;
update im_categories set category_description='Employees' where category_id = 50804;
update im_categories set category_description='Localization HU' where category_id = 50805;
update im_categories set category_description='Other HU' where category_id = 50806;
update im_categories set category_description='CN JV' where category_id = 50807;
update im_categories set category_description='CN WOFE' where category_id = 50808;
update im_categories set category_description='IT' where category_id = 50809;
update im_categories set category_description='HU' where category_id = 50810;
update im_categories set category_description='SK' where category_id = 50811;
update im_categories set category_description='US' where category_id = 50812;
update im_categories set category_description='Translations (CZ)' where category_id = 50813;
update im_categories set category_description='Localization SK' where category_id = 50814;
update im_categories set category_description='Other SK' where category_id = 50815;
update im_categories set category_description='Localization US' where category_id = 50816;
update im_categories set category_description='Other US' where category_id = 50817;
update im_categories set category_description='Localization' where category_id = 50818;
update im_categories set category_description='Non localization' where category_id = 50819;


--------------------------------------------------------------------------------
--50900-50929 
--PAYMENT METHOD
--------------------------------------------------------------------------------
SELECT im_category_new(50900,'EMPTY','Navision Payment Method');
SELECT im_category_new(50901,'CHEQUE','Navision Payment Method');
SELECT im_category_new(50902,'TRANSFER','Navision Payment Method');
SELECT im_category_new(50903,'CASH','Navision Payment Method');

update im_categories set aux_string2='' where category_id = 50900;
update im_categories set aux_string2='CHEQUE' where category_id = 50901;
update im_categories set aux_string2='TRANSFER' where category_id = 50902;
update im_categories set aux_string2='CASH' where category_id = 50903;
--------------------------------------------------------------------------------
--50930-50999
--Payment Terms
--------------------------------------------------------------------------------
SELECT im_category_new(50930, '10_D', 'Navision Payment Terms');
SELECT im_category_new(50931,  '14_D', 'Navision Payment Terms');
SELECT im_category_new(50932,  '14_D_D', 'Navision Payment Terms');
SELECT im_category_new(50933,  '20_D', 'Navision Payment Terms');
SELECT im_category_new(50934,  '21_D', 'Navision Payment Terms');
SELECT im_category_new(50935,  '30_D', 'Navision Payment Terms');
SELECT im_category_new(50936,  '30_D_D', 'Navision Payment Terms');
SELECT im_category_new(50937,  '45_D', 'Navision Payment Terms');
SELECT im_category_new(50938,  '45_D_D', 'Navision Payment Terms');
SELECT im_category_new(50939,  '60_D', 'Navision Payment Terms');
SELECT im_category_new(50940,  '60_D_D', 'Navision Payment Terms');
SELECT im_category_new(50941,  '75_D', 'Navision Payment Terms');
SELECT im_category_new(50942,  '90_D', 'Navision Payment Terms');
SELECT im_category_new(50943,  'HALF_YEAR', 'Navision Payment Terms');
SELECT im_category_new(50944,  '2_Y', 'Navision Payment Terms');
SELECT im_category_new(50945,  'IMM', 'Navision Payment Terms');
SELECT im_category_new(50946,  'UNDO', 'Navision Payment Terms');
SELECT im_category_new(50947,  'UNPAID', 'Navision Payment Terms');


update im_categories set aux_string2='10_D' where category_id = 50930;
update im_categories set aux_string2='14_D' where category_id = 50931;
update im_categories set aux_string2='14_D_D' where category_id = 50932;
update im_categories set aux_string2='20_D' where category_id = 50933;
update im_categories set aux_string2='21_D' where category_id = 50934;
update im_categories set aux_string2='30_D'  where category_id = 50935;
update im_categories set aux_string2='30_D_D' where category_id = 50936;
update im_categories set aux_string2='45_D' where category_id = 50937;
update im_categories set aux_string2='45_D_D' where category_id = 50938;
update im_categories set aux_string2='60_D' where category_id = 50939;
update im_categories set aux_string2='60_D_D' where category_id = 50940;
update im_categories set aux_string2='75_D'  where category_id = 50941;
update im_categories set aux_string2='90_D'   where category_id = 50942;
update im_categories set aux_string2='HALF_YEAR' where category_id = 50943;
update im_categories set aux_string2='2_Y'   where category_id = 50944;
update im_categories set aux_string2='IMM' where category_id = 50945;
update im_categories set aux_string2='UNDO'   where category_id = 50946;
update im_categories set aux_string2='NEPLATIT'  where category_id = 50947;

-- 51000-59999 - Reserved for Navision




--------------------------------------------------------------------------------
-- Create TaskTypes with Activity Codes
--------------------------------------------------------------------------------

create or replace function inline_0 ()
returns integer as $body$
declare
	v_name			varchar;
	v_task_type_name	varchar;
	v_category_id		integer;
	v_reuse_band_id		integer;
	row			RECORD;
begin
	FOR row IN
		select	*
		from	nav."Item"
	LOOP
		RAISE NOTICE 'Import Activity Codes: % - %', row."No_", row."Activity Code";

		v_task_type_name := row."Activity Group" || '-' || row."Sub-Activity";
		v_name := row."Activity Group" || '-' || row."Sub-Activity" || ' ' || row."No_" || ' (' || row."Description" || ')';

		-- Check if the category already exists
		select	category_id into v_category_id from im_categories
		where	category = v_name and category_type = 'Intranet Translation Task Type';

		-- Only create the category if it was not there before.
		IF v_category_id is null THEN

			v_category_id := im_category_new (nextval('im_categories_seq')::integer, v_name, 'Intranet Translation Task Type');
			PERFORM im_category_hierarchy_new(v_name, v_task_type_name, 'Intranet Translation Task Type');
			PERFORM im_category_hierarchy_new(v_name, row."Activity Group", 'Intranet Translation Task Type');
	
			update im_categories set
				aux_string1 = 'trans',
				aux_string2 = category_id
			where	category = v_name and
				category_type = 'Intranet Translation Task Type';

			-- Reuse Band
			select	category_id into v_reuse_band_id from im_categories
			where	aux_string2 = row."Price Type" and category_type = 'Navision Reuse Band';

			insert into im_categories_trans_task_ext (
				category_id,
				activity_code, activity_group, sub_activity, 
				reuse_band_id, difficulty, description, 
				without_pm_fee_p, pm_fee_p
			) values (
				v_category_id,
				row."No_"::integer, row."Activity Group", row."Sub-Activity",
				v_reuse_band_id, row."Difficulty", row."Description",
				row."Without PM fee", row."PM fee"
			);
		END IF;
	END LOOP;
        return 0;
end; $body$ language 'plpgsql';
select inline_0 ();
drop function inline_0 ();



